/* ========================================================================= */
/*  NDS ARM p OS ^C}[                                                   */
/* ========================================================================= */

#include "nds.h"

#include "kernel.h"
#include "kernel_id.h"
#include "ostimer.h"

/* ------------------------------------------------------------------------- */
/*  OS p^C}[̏                                                    */
/* ------------------------------------------------------------------------- */
void OS_InitTimer(VP_INT exinf)
{
  mknl_loc_sys();

  TIMER3_CR = 0;
  TIMER3_DATA = (u16)TIMER_FREQ(1000);
  TIMER3_CR = (TIMER_DIV_1 | TIMER_IRQ_REQ | TIMER_ENABLE);

  irqEnable(IRQ_TIMER3);

  mknl_unl_sys();
}


/* ------------------------------------------------------------------------- */
/*  ^C}[p荞݃nh                                               */
/* ------------------------------------------------------------------------- */
void OS_HandleTimer(VP_INT exinf)
{
  isig_tim();
}


/******************************** END-OF-FILE ********************************/
