/* ------------------------------------------------------------------------ */
/*  Hyper Operating System V4  ITRON4.0dl Real-Time OS                  */
/*   TvvO                                                     */
/*   [U[쐬֐ NDS(ARM)p                                            */
/*                                                                          */
/*                                  Copyright (C) 1998-2002 by Project HOS  */
/*                                  http://sourceforge.jp/projects/hos/     */
/* ------------------------------------------------------------------------ */


#include "kernel.h"
#include "nds.h"

#include "kernel_id.h"


/* ȉAgp銄荞݃Rg[[ɂ킹[U[ */


/* ------------------------------------------------------------------------ */
/*  IRQ̏                                                             */
/*    IRQ Rg[[                                      */
/* ------------------------------------------------------------------------ */
void hos_arm_ini_int(void)
{
  /*** NDS ł͖gp ***/
}


/* ------------------------------------------------------------------------ */
/*  IRQ荞ݏJni[U[쐬֐j                                 */
/*   IRQ ɌĂ΂                                                   */
/*   Kvȏ̌A荞݃Rg[[𒲂ׂāA IRQ         */
/*   Ή荞ݔԍԂ̂Ƃ                                   */
/* ------------------------------------------------------------------------ */
INTNO hos_arm_sta_irq(void)
{
  /*** NDS ł͖gp ***/
  return (0);
}


/* ------------------------------------------------------------------------ */
/*  IRQ荞ݏIi[U[쐬֐j                                 */
/*   IRQ ^[ɌĂ΂                                               */
/*   KvȏŝƂ                                             */
/* ------------------------------------------------------------------------ */
void  hos_arm_end_irq(void)
{
  /*** NDS ł͖gp ***/
}


/* ------------------------------------------------------------------------ */
/*  FIQ荞ݏJni[U[쐬֐j                                 */
/*   FIQ ɌĂ΂                                                   */
/*   Kvȏ̌A荞݃Rg[[𒲂ׂāA FIQ         */
/*   Ή荞ݔԍԂ̂Ƃ                                   */
/* ------------------------------------------------------------------------ */
INTNO hos_arm_sta_fiq(void)
{
  /*** NDS ł͖gp ***/
  return (0);
}


/* ------------------------------------------------------------------------ */
/*  FIQ荞ݏIi[U[쐬֐j                                 */
/*   FIQ ^[ɌĂ΂                                               */
/*   KvȏŝƂ                                             */
/* ------------------------------------------------------------------------ */
void  hos_arm_end_fiq(void)
{
  /*** NDS ł͖gp ***/
}


/* ------------------------------------------------------------------------ */
/*  荞݂̋                                                          */
/*   w肳ꂽ荞ݔԍ̊荞݂֎~悤                         */
/*   荞݃Rg[[ݒ肷̂Ƃ                             */
/* ------------------------------------------------------------------------ */
ER ena_int(INTNO intno)
{
  uint32 ulInt;

  mknl_loc_sys();

  if (intno < 14) {
	ulInt = 0x00000001 << intno;
  } else {
	ulInt = 0x00010000 << (intno - 14);
  }
  irqEnable(ulInt);

  mknl_unl_sys();

  return (E_OK);
}


/* ------------------------------------------------------------------------ */
/*  荞݂̋֎~                                                          */
/*   w肳ꂽ荞ݔԍ̊荞݂悤                         */
/*   荞݃Rg[[ݒ肷̂Ƃ                             */
/* ------------------------------------------------------------------------ */
ER dis_int(INTNO intno)
{
  uint32 ulInt;

  mknl_loc_sys();

  if (intno < 14) {
	ulInt = 0x00000001 << intno;
  } else {
	ulInt = 0x00010000 << (intno - 14);
  }
  irqDisable(ulInt);

  mknl_unl_sys();

  return (E_OK);
}


/* ------------------------------------------------------------------------ */
/*  Copyright (C) 1998-2002 by Project HOS                                  */
/* ------------------------------------------------------------------------ */
